# example batch file

# inscription modes:
# - `same-sat`: inscribe on the same sat
# - `satpoints`: inscribe on the first sat of specified satpoint's output
# - `separate-outputs`: inscribe on separate postage-sized outputs
# - `shared-output`: inscribe on a single output separated by postage
mode: separate-outputs

# parent inscription:
#parent: 5c5dedc076c2e7c9f0e0b75d10cf52babcf7f5feb9d072bd4e87e6b545d855bfi0

# postage for each inscription:
postage: 555

# allow reinscribing
#reinscribe: true

# sat to inscribe on, can only be used with `same-sat`:
# sat: 5000000000

# rune to etch (optional)
etching:
  # rune name
  rune: THE•SPACE•FORCE
  # allow subdividing super-unit into `10^divisibility` sub-units
  divisibility: 0
  # premine
  premine: 2100000.00
  # total supply, must be equal to `premine + terms.cap * terms.amount`
  supply: 21000000.00
  # currency symbol
  symbol: ᚸ
  # mint terms (optional)
  terms:
    # amount per mint
    amount: 1000.00
    # maximum number of mints
    cap: 19000
    # mint start and end absolute block height (optional)
    height:
      start: 840000
      end: 850000
    # mint start and end block height relative to etching height (optional)
    offset:
      start: 1
      end: 10000

# inscriptions to inscribe
inscriptions:
  # path to inscription content
- file: logo.png
  # inscription to delegate content to (optional)
  #delegate: 
  # destination (optional, if no destination is specified a new wallet change address will be used)
  destination: bc1pcl39n752txp0p2w5aywvxdfwxsgvgrxken3twrnvlu7gzgd6cqeqmvzcf6
  # inscription metadata (optional)
  author: Satoshi Nakamoto
  
  metadata:
    title: Delicious Mangos
    description: >
      Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aliquam semper,
      ligula ornare laoreet tincidunt, odio nisi euismod tortor, vel blandit
      metus est et odio. Nullam venenatis, urna et molestie vestibulum, orci
      mi efficitur risus, eu malesuada diam lorem sed velit. Nam fermentum
      dolor et luctus euismod.

